d_materialise_unique
Prev | The Directory Cache | Next

## Name

d_materialise_unique — introduce an inode into the tree

## Synopsis

`struct dentry * d_materialise_unique (` | struct dentry * | dentry,
| struct inode * | inode`)`;

## Arguments

`dentry`

  candidate dentry

`inode`

  inode to bind to the dentry, to which aliases may be attached

## Description

Introduces an dentry into the tree, substituting an extant disconnected root directory alias in its place if there is one

Prev | Up | Next
d_move | Home | d_path